Summary:        OASIS ebXML Registry Specification
Name:           ebxmlrr-spec
Version:        2.1
Release:        3jpp
Epoch:          0
License:        BSD-style
URL:            http://ebxmlrr.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        ebxmlrr-spec-2.1-src.tar.gz
Patch0:         ebxmlrr-spec-2.1-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5.37
BuildRequires:  ant
BuildRequires:  jaxr-api
BuildRequires:  ws-jaxme
BuildRequires:  oldcastor-xml
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:  jaxr-api
Requires:  ws-jaxme
Requires:  xerces-j2
Requires:  xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The OASIS ebXML Registry specifications as defined 
by the  OASIS ebXML Registry Technical Committee.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}-%{version}
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done

%patch0 -b .sav

%build
build-jar-repository -s -p lib \
jaxr-api \
jaxme/jaxme2 \
jaxme/jaxmejs \
xerces-j2 \
xml-commons-apis \

pushd lib
ln -sf $(build-classpath oldcastor-xml) castor-xml.jar
popd
ant bindings 
./fixBindings.sh
ant compile doc dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/ebxmlrr-bindings.jar \
		$RPM_BUILD_ROOT%{_javadir}/ebxmlrr-bindings-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf build/doc/api

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr build/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Tue Oct 11 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-3jpp
- Add xml-commons-apis to Requires and to classpath

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-2jpp
- Build with oldcastor (0.9.3.13)

* Fri Mar 04 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1-1jpp
- First release

